package com.google.android.gms.internal.vision;

import com.google.android.gms.internal.vision.zzgs;
import java.io.IOException;
import java.util.Iterator;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-vision-common@@19.0.0 */
final class zzii<T> implements zzir<T> {
    private final zzic zzyy;
    private final boolean zzyz;
    private final zzjj<?, ?> zzzi;
    private final zzgf<?> zzzj;

    private zzii(zzjj<?, ?> zzjj, zzgf<?> zzgf, zzic zzic) {
        this.zzzi = zzjj;
        this.zzyz = zzgf.zze(zzic);
        this.zzzj = zzgf;
        this.zzyy = zzic;
    }

    static <T> zzii<T> zza(zzjj<?, ?> zzjj, zzgf<?> zzgf, zzic zzic) {
        return new zzii<>(zzjj, zzgf, zzic);
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final T newInstance() {
        return (T) this.zzyy.zzgj().zzgb();
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final boolean equals(T t, T t2) {
        if (!this.zzzi.zzv(t).equals(this.zzzi.zzv(t2))) {
            return false;
        }
        if (this.zzyz) {
            return this.zzzj.zze((Object) t).equals(this.zzzj.zze((Object) t2));
        }
        return true;
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final int hashCode(T t) {
        int hashCode = this.zzzi.zzv(t).hashCode();
        return this.zzyz ? (hashCode * 53) + this.zzzj.zze((Object) t).hashCode() : hashCode;
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final void zzd(T t, T t2) {
        zzit.zza(this.zzzi, t, t2);
        if (this.zzyz) {
            zzit.zza(this.zzzj, t, t2);
        }
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final void zza(T t, zzkg zzkg) throws IOException {
        Iterator<Map.Entry<?, Object>> it = this.zzzj.zze((Object) t).iterator();
        while (it.hasNext()) {
            Map.Entry<?, Object> next = it.next();
            zzgk zzgk = (zzgk) next.getKey();
            if (zzgk.zzft() != zzkd.MESSAGE || zzgk.zzfu() || zzgk.zzfv()) {
                throw new IllegalStateException("Found invalid MessageSet item.");
            } else if (next instanceof zzhf) {
                zzkg.zza(zzgk.zzag(), (Object) ((zzhf) next).zzgw().zzdk());
            } else {
                zzkg.zza(zzgk.zzag(), next.getValue());
            }
        }
        zzjj<?, ?> zzjj = this.zzzi;
        zzjj.zzc(zzjj.zzv(t), zzkg);
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final void zza(T t, byte[] bArr, int i, int i2, zzfb zzfb) throws IOException {
        T t2 = t;
        zzjm zzjm = t2.zzwd;
        if (zzjm == zzjm.zzig()) {
            zzjm = zzjm.zzih();
            t2.zzwd = zzjm;
        }
        zzgi<zzgs.zzd> zzgk = t.zzgk();
        zzgs.zzg zzg = null;
        while (i < i2) {
            int zza = zzez.zza(bArr, i, zzfb);
            int i3 = zzfb.zzro;
            if (i3 == 11) {
                int i4 = 0;
                zzfh zzfh = null;
                while (zza < i2) {
                    zza = zzez.zza(bArr, zza, zzfb);
                    int i5 = zzfb.zzro;
                    int i6 = i5 >>> 3;
                    int i7 = i5 & 7;
                    if (i6 != 2) {
                        if (i6 == 3) {
                            if (zzg != null) {
                                zza = zzez.zza(zzin.zzho().zzf(zzg.zzxa.getClass()), bArr, zza, i2, zzfb);
                                zzgk.zza(zzg.zzxb, zzfb.zzrq);
                            } else if (i7 == 2) {
                                zza = zzez.zze(bArr, zza, zzfb);
                                zzfh = (zzfh) zzfb.zzrq;
                            }
                        }
                    } else if (i7 == 0) {
                        zza = zzez.zza(bArr, zza, zzfb);
                        i4 = zzfb.zzro;
                        zzg = (zzgs.zzg) this.zzzj.zza(zzfb.zzcm, this.zzyy, i4);
                    }
                    if (i5 == 12) {
                        break;
                    }
                    zza = zzez.zza(i5, bArr, zza, i2, zzfb);
                }
                if (zzfh != null) {
                    zzjm.zzb((i4 << 3) | 2, zzfh);
                }
                i = zza;
            } else if ((i3 & 7) == 2) {
                zzgs.zzg zzg2 = (zzgs.zzg) this.zzzj.zza(zzfb.zzcm, this.zzyy, i3 >>> 3);
                if (zzg2 != null) {
                    i = zzez.zza(zzin.zzho().zzf(zzg2.zzxa.getClass()), bArr, zza, i2, zzfb);
                    zzgk.zza(zzg2.zzxb, zzfb.zzrq);
                } else {
                    i = zzez.zza(i3, bArr, zza, i2, zzjm, zzfb);
                }
                zzg = zzg2;
            } else {
                i = zzez.zza(i3, bArr, zza, i2, zzfb);
            }
        }
        if (i != i2) {
            throw zzhc.zzgs();
        }
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final void zza(T t, zzis zzis, zzgd zzgd) throws IOException {
        boolean z;
        zzjj<?, ?> zzjj = this.zzzi;
        zzgf<?> zzgf = this.zzzj;
        Object zzw = zzjj.zzw(t);
        zzgi<?> zzf = zzgf.zzf(t);
        do {
            try {
                if (zzis.zzdu() == Integer.MAX_VALUE) {
                    zzjj.zzg(t, zzw);
                    return;
                }
                int tag = zzis.getTag();
                if (tag == 11) {
                    int i = 0;
                    Object obj = null;
                    zzfh zzfh = null;
                    while (zzis.zzdu() != Integer.MAX_VALUE) {
                        int tag2 = zzis.getTag();
                        if (tag2 == 16) {
                            i = zzis.zzee();
                            obj = zzgf.zza(zzgd, this.zzyy, i);
                        } else if (tag2 == 26) {
                            if (obj != null) {
                                zzgf.zza(zzis, obj, zzgd, zzf);
                            } else {
                                zzfh = zzis.zzed();
                            }
                        } else if (!zzis.zzdv()) {
                            break;
                        }
                    }
                    if (zzis.getTag() != 12) {
                        throw zzhc.zzgq();
                    } else if (zzfh != null) {
                        if (obj != null) {
                            zzgf.zza(zzfh, obj, zzgd, zzf);
                        } else {
                            zzjj.zza(zzw, i, zzfh);
                        }
                    }
                } else if ((tag & 7) == 2) {
                    Object zza = zzgf.zza(zzgd, this.zzyy, tag >>> 3);
                    if (zza != null) {
                        zzgf.zza(zzis, zza, zzgd, zzf);
                    } else {
                        z = zzjj.zza(zzw, zzis);
                        continue;
                    }
                } else {
                    z = zzis.zzdv();
                    continue;
                }
                z = true;
                continue;
            } finally {
                zzjj.zzg(t, zzw);
            }
        } while (z);
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final void zzg(T t) {
        this.zzzi.zzg(t);
        this.zzzj.zzg(t);
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final boolean zzt(T t) {
        return this.zzzj.zze((Object) t).isInitialized();
    }

    @Override // com.google.android.gms.internal.vision.zzir
    public final int zzr(T t) {
        zzjj<?, ?> zzjj = this.zzzi;
        int zzx = zzjj.zzx(zzjj.zzv(t)) + 0;
        return this.zzyz ? zzx + this.zzzj.zze((Object) t).zzfo() : zzx;
    }
}
