package expo.modules.barcodescanner.utils;

import android.graphics.Bitmap;
import com.facebook.react.uimanager.ViewProps;
import com.google.android.gms.vision.Frame;
import java.nio.ByteBuffer;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0012\n\u0000\n\u0002\u0010\b\n\u0002\b\u0003\bÆ\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006J&\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\n2\u0006\u0010\f\u001a\u00020\n¨\u0006\r"}, d2 = {"Lexpo/modules/barcodescanner/utils/FrameFactory;", "", "()V", "buildFrame", "Lexpo/modules/barcodescanner/utils/Frame;", "bitmap", "Landroid/graphics/Bitmap;", "bitmapData", "", "width", "", "height", ViewProps.ROTATION, "expo-barcode-scanner_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: FrameFactory.kt */
public final class FrameFactory {
    public static final FrameFactory INSTANCE = new FrameFactory();

    private FrameFactory() {
    }

    public final Frame buildFrame(byte[] bArr, int i, int i2, int i3) {
        Intrinsics.checkNotNullParameter(bArr, "bitmapData");
        Frame.Builder builder = new Frame.Builder();
        builder.setImageData(ByteBuffer.wrap(bArr), i, i2, 17);
        if (i3 == 90) {
            builder.setRotation(1);
        } else if (i3 == 180) {
            builder.setRotation(2);
        } else if (i3 != 270) {
            builder.setRotation(0);
        } else {
            builder.setRotation(3);
        }
        ImageDimensions imageDimensions = new ImageDimensions(i, i2, i3, 0, 8, null);
        Frame build = builder.build();
        Intrinsics.checkNotNullExpressionValue(build, "builder.build()");
        return new Frame(build, imageDimensions);
    }

    public final Frame buildFrame(Bitmap bitmap) {
        Intrinsics.checkNotNullParameter(bitmap, "bitmap");
        Frame.Builder builder = new Frame.Builder();
        builder.setBitmap(bitmap);
        ImageDimensions imageDimensions = new ImageDimensions(bitmap.getWidth(), bitmap.getHeight(), 0, 0, 12, null);
        Frame build = builder.build();
        Intrinsics.checkNotNullExpressionValue(build, "builder.build()");
        return new Frame(build, imageDimensions);
    }
}
