package expo.modules.clipboard;

import android.content.ClipData;
import android.content.ClipDescription;
import android.content.ClipboardManager;
import android.content.Context;
import android.util.Log;
import androidx.core.os.BundleKt;
import com.google.android.gms.common.internal.ServiceSpecificExtraArgs;
import expo.modules.kotlin.Promise;
import expo.modules.kotlin.events.BasicEventListener;
import expo.modules.kotlin.events.EventName;
import expo.modules.kotlin.functions.AsyncFunction;
import expo.modules.kotlin.functions.AsyncFunctionBuilder;
import expo.modules.kotlin.functions.AsyncFunctionComponent;
import expo.modules.kotlin.functions.AsyncFunctionWithPromiseComponent;
import expo.modules.kotlin.functions.SuspendFunctionComponentBuilder;
import expo.modules.kotlin.modules.Module;
import expo.modules.kotlin.modules.ModuleDefinitionBuilder;
import expo.modules.kotlin.modules.ModuleDefinitionData;
import expo.modules.kotlin.types.AnyType;
import expo.modules.kotlin.types.AnyTypeKt;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Result;
import kotlin.ResultKt;
import kotlin.TuplesKt;
import kotlin.Unit;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;

@Metadata(d1 = {"\u0000F\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001:\u0001\u001dB\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0017\u001a\u00020\u00182\u0006\u0010\u0019\u001a\u00020\u001aH\u0002J\b\u0010\u001b\u001a\u00020\u001cH\u0016R\u001b\u0010\u0003\u001a\u00020\u00048BX\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006R\u0012\u0010\t\u001a\u00060\nR\u00020\u0000X.¢\u0006\u0002\n\u0000R\u0014\u0010\u000b\u001a\u00020\f8BX\u0004¢\u0006\u0006\u001a\u0004\b\r\u0010\u000eR\u0014\u0010\u000f\u001a\u00020\u00108BX\u0004¢\u0006\u0006\u001a\u0004\b\u0011\u0010\u0012R\u001a\u0010\u0013\u001a\u0004\u0018\u00010\u0014*\u00020\f8BX\u0004¢\u0006\u0006\u001a\u0004\b\u0015\u0010\u0016¨\u0006\u001e"}, d2 = {"Lexpo/modules/clipboard/ClipboardModule;", "Lexpo/modules/kotlin/modules/Module;", "()V", "clipboardCacheDir", "Ljava/io/File;", "getClipboardCacheDir", "()Ljava/io/File;", "clipboardCacheDir$delegate", "Lkotlin/Lazy;", "clipboardEventEmitter", "Lexpo/modules/clipboard/ClipboardModule$ClipboardEventEmitter;", "clipboardManager", "Landroid/content/ClipboardManager;", "getClipboardManager", "()Landroid/content/ClipboardManager;", "context", "Landroid/content/Context;", "getContext", "()Landroid/content/Context;", "firstItem", "Landroid/content/ClipData$Item;", "getFirstItem", "(Landroid/content/ClipboardManager;)Landroid/content/ClipData$Item;", "clipboardHasItemWithType", "", "mimeType", "", "definition", "Lexpo/modules/kotlin/modules/ModuleDefinitionData;", "ClipboardEventEmitter", "expo-clipboard_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ClipboardModule.kt */
public final class ClipboardModule extends Module {
    private final Lazy clipboardCacheDir$delegate = LazyKt.lazy(new ClipboardModule$clipboardCacheDir$2(this));
    private ClipboardEventEmitter clipboardEventEmitter;

    @Metadata(k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ClipboardModule.kt */
    public /* synthetic */ class WhenMappings {
        public static final /* synthetic */ int[] $EnumSwitchMapping$0;

        static {
            int[] iArr = new int[StringFormat.values().length];
            iArr[StringFormat.PLAIN.ordinal()] = 1;
            iArr[StringFormat.HTML.ordinal()] = 2;
            $EnumSwitchMapping$0 = iArr;
        }
    }

    @Override // expo.modules.kotlin.modules.Module
    public ModuleDefinitionData definition() {
        AsyncFunctionComponent asyncFunctionComponent;
        AsyncFunctionComponent asyncFunctionComponent2;
        ModuleDefinitionBuilder moduleDefinitionBuilder = new ModuleDefinitionBuilder(this);
        moduleDefinitionBuilder.Name("ExpoClipboard");
        ModuleDefinitionBuilder moduleDefinitionBuilder2 = moduleDefinitionBuilder;
        Map<String, AsyncFunction> asyncFunctions = moduleDefinitionBuilder2.getAsyncFunctions();
        if (Intrinsics.areEqual(Reflection.getOrCreateKotlinClass(GetStringOptions.class), Reflection.getOrCreateKotlinClass(Promise.class))) {
            asyncFunctionComponent = new AsyncFunctionWithPromiseComponent("getStringAsync", new AnyType[0], new ClipboardModule$definition$lambda12$$inlined$AsyncFunction$1(this));
        } else {
            asyncFunctionComponent = new AsyncFunctionComponent("getStringAsync", new AnyType[]{AnyTypeKt.toAnyType(Reflection.typeOf(GetStringOptions.class))}, new ClipboardModule$definition$lambda12$$inlined$AsyncFunction$2(this));
        }
        asyncFunctions.put("getStringAsync", asyncFunctionComponent);
        Map<String, AsyncFunction> asyncFunctions2 = moduleDefinitionBuilder2.getAsyncFunctions();
        if (Intrinsics.areEqual(Reflection.getOrCreateKotlinClass(SetStringOptions.class), Reflection.getOrCreateKotlinClass(Promise.class))) {
            asyncFunctionComponent2 = new AsyncFunctionWithPromiseComponent("setStringAsync", new AnyType[]{AnyTypeKt.toAnyType(Reflection.typeOf(String.class))}, new ClipboardModule$definition$lambda12$$inlined$AsyncFunction$3(this));
        } else {
            asyncFunctionComponent2 = new AsyncFunctionComponent("setStringAsync", new AnyType[]{AnyTypeKt.toAnyType(Reflection.typeOf(String.class)), AnyTypeKt.toAnyType(Reflection.typeOf(SetStringOptions.class))}, new ClipboardModule$definition$lambda12$$inlined$AsyncFunction$4(this));
        }
        asyncFunctions2.put("setStringAsync", asyncFunctionComponent2);
        moduleDefinitionBuilder2.getAsyncFunctions().put("hasStringAsync", new AsyncFunctionComponent("hasStringAsync", new AnyType[0], new ClipboardModule$definition$lambda12$$inlined$AsyncFunctionWithoutArgs$1(this)));
        AsyncFunctionBuilder AsyncFunction = moduleDefinitionBuilder.AsyncFunction("getImageAsync");
        AsyncFunction.setFunctionBuilder(new SuspendFunctionComponentBuilder(AsyncFunction.getName(), new AnyType[]{AnyTypeKt.toAnyType(Reflection.typeOf(GetImageOptions.class))}, new ClipboardModule$definition$lambda12$$inlined$Coroutine$1(null, this)));
        AsyncFunctionBuilder AsyncFunction2 = moduleDefinitionBuilder.AsyncFunction("setImageAsync");
        AsyncFunction2.setFunctionBuilder(new SuspendFunctionComponentBuilder(AsyncFunction2.getName(), new AnyType[]{AnyTypeKt.toAnyType(Reflection.typeOf(String.class))}, new ClipboardModule$definition$lambda12$$inlined$Coroutine$2(null, this)));
        moduleDefinitionBuilder2.getAsyncFunctions().put("hasImageAsync", new AsyncFunctionComponent("hasImageAsync", new AnyType[0], new ClipboardModule$definition$lambda12$$inlined$AsyncFunctionWithoutArgs$2(this)));
        moduleDefinitionBuilder.Events(ClipboardModuleKt.CLIPBOARD_CHANGED_EVENT_NAME);
        moduleDefinitionBuilder.getEventListeners().put(EventName.MODULE_CREATE, new BasicEventListener(EventName.MODULE_CREATE, new ClipboardModule$definition$lambda12$$inlined$OnCreate$1(this)));
        moduleDefinitionBuilder.getEventListeners().put(EventName.MODULE_DESTROY, new BasicEventListener(EventName.MODULE_DESTROY, new ClipboardModule$definition$lambda12$$inlined$OnDestroy$1(this)));
        moduleDefinitionBuilder.getEventListeners().put(EventName.ACTIVITY_ENTERS_BACKGROUND, new BasicEventListener(EventName.ACTIVITY_ENTERS_BACKGROUND, new ClipboardModule$definition$lambda12$$inlined$OnActivityEntersBackground$1(this)));
        moduleDefinitionBuilder.getEventListeners().put(EventName.ACTIVITY_ENTERS_FOREGROUND, new BasicEventListener(EventName.ACTIVITY_ENTERS_FOREGROUND, new ClipboardModule$definition$lambda12$$inlined$OnActivityEntersForeground$1(this)));
        return moduleDefinitionBuilder.buildModule();
    }

    /* access modifiers changed from: private */
    public final Context getContext() {
        Context reactContext = getAppContext().getReactContext();
        if (reactContext != null) {
            return reactContext;
        }
        throw new IllegalArgumentException("React Application Context is null".toString());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final ClipboardManager getClipboardManager() {
        Object systemService = getContext().getSystemService("clipboard");
        ClipboardManager clipboardManager = systemService instanceof ClipboardManager ? (ClipboardManager) systemService : null;
        if (clipboardManager != null) {
            return clipboardManager;
        }
        throw new ClipboardUnavailableException();
    }

    /* access modifiers changed from: private */
    public final File getClipboardCacheDir() {
        return (File) this.clipboardCacheDir$delegate.getValue();
    }

    /* access modifiers changed from: private */
    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0004\b\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0006\u0010\t\u001a\u00020\u0001J\r\u0010\n\u001a\u0004\u0018\u00010\u000b¢\u0006\u0002\u0010\fJ\u0006\u0010\r\u001a\u00020\u000bJ\u0006\u0010\u000e\u001a\u00020\u000bR\u000e\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0004¢\u0006\u0002\n\u0000R\u0010\u0010\u0007\u001a\u0004\u0018\u00010\bX\u0004¢\u0006\u0002\n\u0000¨\u0006\u000f"}, d2 = {"Lexpo/modules/clipboard/ClipboardModule$ClipboardEventEmitter;", "", "(Lexpo/modules/clipboard/ClipboardModule;)V", "isListening", "", ServiceSpecificExtraArgs.CastExtraArgs.LISTENER, "Landroid/content/ClipboardManager$OnPrimaryClipChangedListener;", "maybeClipboardManager", "Landroid/content/ClipboardManager;", "attachListener", "detachListener", "", "()Lkotlin/Unit;", "pauseListening", "resumeListening", "expo-clipboard_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: ClipboardModule.kt */
    public final class ClipboardEventEmitter {
        private boolean isListening = true;
        private final ClipboardManager.OnPrimaryClipChangedListener listener;
        private final ClipboardManager maybeClipboardManager;
        final /* synthetic */ ClipboardModule this$0;

        /* JADX WARN: Incorrect args count in method signature: ()V */
        public ClipboardEventEmitter(ClipboardModule clipboardModule) {
            Object obj;
            Intrinsics.checkNotNullParameter(clipboardModule, "this$0");
            this.this$0 = clipboardModule;
            this.listener = new ClipboardModule$ClipboardEventEmitter$$ExternalSyntheticLambda0(this, clipboardModule);
            try {
                Result.Companion companion = Result.Companion;
                ClipboardEventEmitter clipboardEventEmitter = this;
                obj = Result.m126constructorimpl(clipboardModule.getClipboardManager());
            } catch (Throwable th) {
                Result.Companion companion2 = Result.Companion;
                obj = Result.m126constructorimpl(ResultKt.createFailure(th));
            }
            this.maybeClipboardManager = (ClipboardManager) (Result.m132isFailureimpl(obj) ? null : obj);
        }

        public final void resumeListening() {
            this.isListening = true;
        }

        public final void pauseListening() {
            this.isListening = false;
        }

        public final Object attachListener() {
            Unit unit;
            ClipboardManager clipboardManager = this.maybeClipboardManager;
            if (clipboardManager == null) {
                unit = null;
            } else {
                clipboardManager.addPrimaryClipChangedListener(this.listener);
                unit = Unit.INSTANCE;
            }
            return unit == null ? Integer.valueOf(Log.e(ClipboardModuleKt.access$getTAG$p(), "'CLIPBOARD_SERVICE' unavailable. Events won't be received")) : unit;
        }

        public final Unit detachListener() {
            ClipboardManager clipboardManager = this.maybeClipboardManager;
            if (clipboardManager == null) {
                return null;
            }
            clipboardManager.removePrimaryClipChangedListener(this.listener);
            return Unit.INSTANCE;
        }

        /* access modifiers changed from: private */
        /* renamed from: listener$lambda-7  reason: not valid java name */
        public static final void m71listener$lambda7(ClipboardEventEmitter clipboardEventEmitter, ClipboardModule clipboardModule) {
            ClipDescription primaryClipDescription;
            Intrinsics.checkNotNullParameter(clipboardEventEmitter, "this$0");
            Intrinsics.checkNotNullParameter(clipboardModule, "this$1");
            ClipboardManager clipboardManager = clipboardEventEmitter.maybeClipboardManager;
            ContentType contentType = null;
            if (!clipboardEventEmitter.isListening) {
                clipboardManager = null;
            }
            if (!(clipboardManager == null || (primaryClipDescription = clipboardManager.getPrimaryClipDescription()) == null)) {
                Pair[] pairArr = new Pair[1];
                ContentType[] contentTypeArr = new ContentType[3];
                ContentType contentType2 = ContentType.PLAIN_TEXT;
                if (!ClipboardModuleKt.access$getHasTextContent(primaryClipDescription)) {
                    contentType2 = null;
                }
                contentTypeArr[0] = contentType2;
                ContentType contentType3 = ContentType.HTML;
                if (!primaryClipDescription.hasMimeType("text/html")) {
                    contentType3 = null;
                }
                contentTypeArr[1] = contentType3;
                ContentType contentType4 = ContentType.IMAGE;
                if (primaryClipDescription.hasMimeType("image/*")) {
                    contentType = contentType4;
                }
                contentTypeArr[2] = contentType;
                List<ContentType> listOfNotNull = CollectionsKt.listOfNotNull((Object[]) contentTypeArr);
                ArrayList arrayList = new ArrayList(CollectionsKt.collectionSizeOrDefault(listOfNotNull, 10));
                for (ContentType contentType5 : listOfNotNull) {
                    arrayList.add(contentType5.getJsName());
                }
                pairArr[0] = TuplesKt.to("contentTypes", arrayList);
                clipboardModule.sendEvent(ClipboardModuleKt.CLIPBOARD_CHANGED_EVENT_NAME, BundleKt.bundleOf(pairArr));
            }
        }
    }

    /* access modifiers changed from: private */
    public final boolean clipboardHasItemWithType(String str) {
        ClipDescription primaryClipDescription = getClipboardManager().getPrimaryClipDescription();
        if (primaryClipDescription == null) {
            return false;
        }
        return primaryClipDescription.hasMimeType(str);
    }

    /* access modifiers changed from: private */
    public final ClipData.Item getFirstItem(ClipboardManager clipboardManager) {
        ClipData primaryClip = clipboardManager.getPrimaryClip();
        if (primaryClip == null) {
            return null;
        }
        if (!(primaryClip.getItemCount() > 0)) {
            primaryClip = null;
        }
        if (primaryClip == null) {
            return null;
        }
        return primaryClip.getItemAt(0);
    }
}
