package expo.modules.kotlin.types;

import expo.modules.kotlin.jni.CppType;
import expo.modules.kotlin.jni.JavaScriptValue;
import java.util.List;
import kotlin.Metadata;
import kotlin.collections.ArraysKt;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\r\u0012\u0006\u0010\u0003\u001a\u00020\u0004¢\u0006\u0002\u0010\u0005J\u0010\u0010\u0006\u001a\u00020\u00022\u0006\u0010\u0007\u001a\u00020\bH\u0016J\u000e\u0010\t\u001a\b\u0012\u0004\u0012\u00020\u000b0\nH\u0016¨\u0006\f"}, d2 = {"Lexpo/modules/kotlin/types/JavaScriptValueTypeConvert;", "Lexpo/modules/kotlin/types/TypeConverter;", "Lexpo/modules/kotlin/jni/JavaScriptValue;", "isOptional", "", "(Z)V", "convertNonOptional", "value", "", "getCppRequiredTypes", "", "Lexpo/modules/kotlin/jni/CppType;", "expo-modules-core_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: BasicTypeConverters.kt */
public final class JavaScriptValueTypeConvert extends TypeConverter<JavaScriptValue> {
    public JavaScriptValueTypeConvert(boolean z) {
        super(z);
    }

    @Override // expo.modules.kotlin.types.TypeConverter
    public JavaScriptValue convertNonOptional(Object obj) {
        Intrinsics.checkNotNullParameter(obj, "value");
        return (JavaScriptValue) obj;
    }

    @Override // expo.modules.kotlin.types.TypeConverter
    public List<CppType> getCppRequiredTypes() {
        return ArraysKt.toList(CppType.values());
    }
}
