package expo.modules.systemui;

import android.content.Context;
import expo.modules.core.BasePackage;
import expo.modules.core.ExportedModule;
import expo.modules.core.interfaces.ReactActivityLifecycleListener;
import java.util.List;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0003\u001a\b\u0012\u0004\u0012\u00020\u00050\u00042\u0006\u0010\u0006\u001a\u00020\u0007H\u0016J\u0016\u0010\b\u001a\b\u0012\u0004\u0012\u00020\t0\u00042\u0006\u0010\n\u001a\u00020\u0007H\u0016¨\u0006\u000b"}, d2 = {"Lexpo/modules/systemui/SystemUIPackage;", "Lexpo/modules/core/BasePackage;", "()V", "createExportedModules", "", "Lexpo/modules/core/ExportedModule;", "context", "Landroid/content/Context;", "createReactActivityLifecycleListeners", "Lexpo/modules/core/interfaces/ReactActivityLifecycleListener;", "activityContext", "expo-system-ui_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: SystemUIPackage.kt */
public final class SystemUIPackage extends BasePackage {
    @Override // expo.modules.core.interfaces.Package, expo.modules.core.BasePackage
    public List<ExportedModule> createExportedModules(Context context) {
        Intrinsics.checkNotNullParameter(context, "context");
        return CollectionsKt.listOf(new SystemUIModule(context));
    }

    @Override // expo.modules.core.interfaces.Package, expo.modules.core.BasePackage
    public List<ReactActivityLifecycleListener> createReactActivityLifecycleListeners(Context context) {
        Intrinsics.checkNotNullParameter(context, "activityContext");
        return CollectionsKt.listOf(new SystemUIReactActivityLifecycleListener(context));
    }
}
