package expo.modules.clipboard;

import android.content.ClipData;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.util.Base64;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileOutputStream;
import kotlin.Metadata;
import kotlin.ResultKt;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.IntrinsicsKt;
import kotlin.io.CloseableKt;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.InterruptibleKt;
import kotlinx.coroutines.YieldKt;

@Metadata(d1 = {"\u0000B\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0002\u001a\u0010\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0003H\u0000\u001a!\u0010\u0004\u001a\u00020\u00012\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bH@ø\u0001\u0000¢\u0006\u0002\u0010\t\u001a)\u0010\n\u001a\u00020\u000b2\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0002\u001a\u00020\u00032\u0006\u0010\f\u001a\u00020\rH@ø\u0001\u0000¢\u0006\u0002\u0010\u000e\u001a)\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b2\u0006\u0010\u0011\u001a\u00020\u0012H@ø\u0001\u0000¢\u0006\u0002\u0010\u0013\u001a\u0015\u0010\u0014\u001a\u00020\u0015*\u00020\rH@ø\u0001\u0000¢\u0006\u0002\u0010\u0016\u0002\u0004\n\u0002\b\u0019¨\u0006\u0017"}, d2 = {"bitmapFromBase64String", "Landroid/graphics/Bitmap;", "base64Image", "", "bitmapFromContentUriAsync", "context", "Landroid/content/Context;", "imageUri", "Landroid/net/Uri;", "(Landroid/content/Context;Landroid/net/Uri;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "clipDataFromBase64Image", "Landroid/content/ClipData;", "clipboardCacheDir", "Ljava/io/File;", "(Landroid/content/Context;Ljava/lang/String;Ljava/io/File;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "imageFromContentUri", "Lexpo/modules/clipboard/ImageResult;", "options", "Lexpo/modules/clipboard/GetImageOptions;", "(Landroid/content/Context;Landroid/net/Uri;Lexpo/modules/clipboard/GetImageOptions;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "ensureExists", "", "(Ljava/io/File;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "expo-clipboard_release"}, k = 2, mv = {1, 6, 0}, xi = 48)
/* compiled from: ClipboardImage.kt */
public final class ClipboardImageKt {
    /* JADX WARNING: Removed duplicated region for block: B:14:0x004a  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0086 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0087  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0025  */
    public static final Object imageFromContentUri(Context context, Uri uri, GetImageOptions getImageOptions, Continuation<? super ImageResult> continuation) {
        ClipboardImageKt$imageFromContentUri$1 clipboardImageKt$imageFromContentUri$1;
        Object coroutine_suspended;
        int i;
        Bitmap bitmap;
        ImageFormat imageFormat;
        ByteArrayOutputStream byteArrayOutputStream;
        if (continuation instanceof ClipboardImageKt$imageFromContentUri$1) {
            clipboardImageKt$imageFromContentUri$1 = (ClipboardImageKt$imageFromContentUri$1) continuation;
            if ((clipboardImageKt$imageFromContentUri$1.label & Integer.MIN_VALUE) != 0) {
                clipboardImageKt$imageFromContentUri$1.label -= Integer.MIN_VALUE;
                Object obj = clipboardImageKt$imageFromContentUri$1.result;
                coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
                i = clipboardImageKt$imageFromContentUri$1.label;
                if (i != 0) {
                    ResultKt.throwOnFailure(obj);
                    clipboardImageKt$imageFromContentUri$1.L$0 = getImageOptions;
                    clipboardImageKt$imageFromContentUri$1.label = 1;
                    obj = bitmapFromContentUriAsync(context, uri, clipboardImageKt$imageFromContentUri$1);
                    if (obj == coroutine_suspended) {
                        return coroutine_suspended;
                    }
                } else if (i == 1) {
                    getImageOptions = (GetImageOptions) clipboardImageKt$imageFromContentUri$1.L$0;
                    ResultKt.throwOnFailure(obj);
                } else if (i == 2) {
                    byteArrayOutputStream = (ByteArrayOutputStream) clipboardImageKt$imageFromContentUri$1.L$2;
                    imageFormat = (ImageFormat) clipboardImageKt$imageFromContentUri$1.L$1;
                    bitmap = (Bitmap) clipboardImageKt$imageFromContentUri$1.L$0;
                    ResultKt.throwOnFailure(obj);
                    String encodeToString = Base64.encodeToString(byteArrayOutputStream.toByteArray(), 0);
                    StringBuilder sb = new StringBuilder("data:" + imageFormat.getMimeType() + ";base64,");
                    sb.append(encodeToString);
                    String sb2 = sb.toString();
                    Intrinsics.checkNotNullExpressionValue(sb2, "builder.toString()");
                    return new ImageResult(sb2, bitmap.getWidth(), bitmap.getHeight());
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                Bitmap bitmap2 = (Bitmap) obj;
                imageFormat = getImageOptions.getImageFormat();
                ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                bitmap2.compress(imageFormat.getCompressFormat(), (int) (getImageOptions.getJpegQuality() * ((double) 100)), byteArrayOutputStream2);
                clipboardImageKt$imageFromContentUri$1.L$0 = bitmap2;
                clipboardImageKt$imageFromContentUri$1.L$1 = imageFormat;
                clipboardImageKt$imageFromContentUri$1.L$2 = byteArrayOutputStream2;
                clipboardImageKt$imageFromContentUri$1.label = 2;
                if (YieldKt.yield(clipboardImageKt$imageFromContentUri$1) != coroutine_suspended) {
                    return coroutine_suspended;
                }
                bitmap = bitmap2;
                byteArrayOutputStream = byteArrayOutputStream2;
                String encodeToString2 = Base64.encodeToString(byteArrayOutputStream.toByteArray(), 0);
                StringBuilder sb3 = new StringBuilder("data:" + imageFormat.getMimeType() + ";base64,");
                sb3.append(encodeToString2);
                String sb22 = sb3.toString();
                Intrinsics.checkNotNullExpressionValue(sb22, "builder.toString()");
                return new ImageResult(sb22, bitmap.getWidth(), bitmap.getHeight());
            }
        }
        clipboardImageKt$imageFromContentUri$1 = new ClipboardImageKt$imageFromContentUri$1(continuation);
        Object obj2 = clipboardImageKt$imageFromContentUri$1.result;
        coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
        i = clipboardImageKt$imageFromContentUri$1.label;
        if (i != 0) {
        }
        Bitmap bitmap22 = (Bitmap) obj2;
        imageFormat = getImageOptions.getImageFormat();
        ByteArrayOutputStream byteArrayOutputStream22 = new ByteArrayOutputStream();
        bitmap22.compress(imageFormat.getCompressFormat(), (int) (getImageOptions.getJpegQuality() * ((double) 100)), byteArrayOutputStream22);
        clipboardImageKt$imageFromContentUri$1.L$0 = bitmap22;
        clipboardImageKt$imageFromContentUri$1.L$1 = imageFormat;
        clipboardImageKt$imageFromContentUri$1.L$2 = byteArrayOutputStream22;
        clipboardImageKt$imageFromContentUri$1.label = 2;
        if (YieldKt.yield(clipboardImageKt$imageFromContentUri$1) != coroutine_suspended) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x009d A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00cc A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00cd  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0027  */
    public static final Object clipDataFromBase64Image(Context context, String str, File file, Continuation<? super ClipData> continuation) {
        ClipboardImageKt$clipDataFromBase64Image$1 clipboardImageKt$clipDataFromBase64Image$1;
        Object obj;
        Object coroutine_suspended;
        int i;
        Throwable th;
        Closeable closeable;
        Context context2;
        File file2;
        Bitmap bitmap;
        File file3;
        BufferedOutputStream bufferedOutputStream;
        BufferedOutputStream bufferedOutputStream2;
        if (continuation instanceof ClipboardImageKt$clipDataFromBase64Image$1) {
            clipboardImageKt$clipDataFromBase64Image$1 = (ClipboardImageKt$clipDataFromBase64Image$1) continuation;
            if ((clipboardImageKt$clipDataFromBase64Image$1.label & Integer.MIN_VALUE) != 0) {
                clipboardImageKt$clipDataFromBase64Image$1.label -= Integer.MIN_VALUE;
                obj = clipboardImageKt$clipDataFromBase64Image$1.result;
                coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
                i = clipboardImageKt$clipDataFromBase64Image$1.label;
                if (i != 0) {
                    ResultKt.throwOnFailure(obj);
                    bitmap = bitmapFromBase64String(str);
                    File file4 = new File(file, "copied_image.jpeg");
                    clipboardImageKt$clipDataFromBase64Image$1.L$0 = context;
                    clipboardImageKt$clipDataFromBase64Image$1.L$1 = bitmap;
                    clipboardImageKt$clipDataFromBase64Image$1.L$2 = file4;
                    clipboardImageKt$clipDataFromBase64Image$1.label = 1;
                    if (ensureExists(file4, clipboardImageKt$clipDataFromBase64Image$1) == coroutine_suspended) {
                        return coroutine_suspended;
                    }
                    context2 = context;
                    file3 = file4;
                } else if (i == 1) {
                    file3 = (File) clipboardImageKt$clipDataFromBase64Image$1.L$2;
                    bitmap = (Bitmap) clipboardImageKt$clipDataFromBase64Image$1.L$1;
                    context2 = (Context) clipboardImageKt$clipDataFromBase64Image$1.L$0;
                    ResultKt.throwOnFailure(obj);
                } else if (i == 2) {
                    file3 = (File) clipboardImageKt$clipDataFromBase64Image$1.L$2;
                    bitmap = (Bitmap) clipboardImageKt$clipDataFromBase64Image$1.L$1;
                    context2 = (Context) clipboardImageKt$clipDataFromBase64Image$1.L$0;
                    ResultKt.throwOnFailure(obj);
                    bufferedOutputStream = new BufferedOutputStream((FileOutputStream) obj);
                    bufferedOutputStream2 = bufferedOutputStream;
                    bitmap.compress(Bitmap.CompressFormat.JPEG, 100, bufferedOutputStream2);
                    clipboardImageKt$clipDataFromBase64Image$1.L$0 = context2;
                    clipboardImageKt$clipDataFromBase64Image$1.L$1 = file3;
                    clipboardImageKt$clipDataFromBase64Image$1.L$2 = bufferedOutputStream;
                    clipboardImageKt$clipDataFromBase64Image$1.label = 3;
                    if (InterruptibleKt.runInterruptible$default(null, new ClipboardImageKt$clipDataFromBase64Image$2$1(bufferedOutputStream2), clipboardImageKt$clipDataFromBase64Image$1, 1, null) == coroutine_suspended) {
                        return coroutine_suspended;
                    }
                    file2 = file3;
                    closeable = bufferedOutputStream;
                    Unit unit = Unit.INSTANCE;
                    CloseableKt.closeFinally(closeable, null);
                    ClipData newUri = ClipData.newUri(context2.getContentResolver(), "image", ClipboardFileProvider.Companion.getUriForFile(context2, context2.getApplicationInfo().packageName + ".ClipboardFileProvider", file2));
                    Intrinsics.checkNotNullExpressionValue(newUri, "newUri(context.contentResolver, \"image\", imageUri)");
                    return newUri;
                } else if (i == 3) {
                    closeable = (Closeable) clipboardImageKt$clipDataFromBase64Image$1.L$2;
                    file2 = (File) clipboardImageKt$clipDataFromBase64Image$1.L$1;
                    context2 = (Context) clipboardImageKt$clipDataFromBase64Image$1.L$0;
                    try {
                        ResultKt.throwOnFailure(obj);
                        Unit unit2 = Unit.INSTANCE;
                        CloseableKt.closeFinally(closeable, null);
                        ClipData newUri2 = ClipData.newUri(context2.getContentResolver(), "image", ClipboardFileProvider.Companion.getUriForFile(context2, context2.getApplicationInfo().packageName + ".ClipboardFileProvider", file2));
                        Intrinsics.checkNotNullExpressionValue(newUri2, "newUri(context.contentResolver, \"image\", imageUri)");
                        return newUri2;
                    } catch (Throwable th2) {
                        th = th2;
                    }
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                clipboardImageKt$clipDataFromBase64Image$1.L$0 = context2;
                clipboardImageKt$clipDataFromBase64Image$1.L$1 = bitmap;
                clipboardImageKt$clipDataFromBase64Image$1.L$2 = file3;
                clipboardImageKt$clipDataFromBase64Image$1.label = 2;
                obj = InterruptibleKt.runInterruptible$default(null, new ClipboardImageKt$clipDataFromBase64Image$fileStream$1(file3), clipboardImageKt$clipDataFromBase64Image$1, 1, null);
                if (obj == coroutine_suspended) {
                    return coroutine_suspended;
                }
                bufferedOutputStream = new BufferedOutputStream((FileOutputStream) obj);
                bufferedOutputStream2 = bufferedOutputStream;
                bitmap.compress(Bitmap.CompressFormat.JPEG, 100, bufferedOutputStream2);
                clipboardImageKt$clipDataFromBase64Image$1.L$0 = context2;
                clipboardImageKt$clipDataFromBase64Image$1.L$1 = file3;
                clipboardImageKt$clipDataFromBase64Image$1.L$2 = bufferedOutputStream;
                clipboardImageKt$clipDataFromBase64Image$1.label = 3;
                if (InterruptibleKt.runInterruptible$default(null, new ClipboardImageKt$clipDataFromBase64Image$2$1(bufferedOutputStream2), clipboardImageKt$clipDataFromBase64Image$1, 1, null) == coroutine_suspended) {
                }
            }
        }
        clipboardImageKt$clipDataFromBase64Image$1 = new ClipboardImageKt$clipDataFromBase64Image$1(continuation);
        obj = clipboardImageKt$clipDataFromBase64Image$1.result;
        coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
        i = clipboardImageKt$clipDataFromBase64Image$1.label;
        if (i != 0) {
        }
        clipboardImageKt$clipDataFromBase64Image$1.L$0 = context2;
        clipboardImageKt$clipDataFromBase64Image$1.L$1 = bitmap;
        clipboardImageKt$clipDataFromBase64Image$1.L$2 = file3;
        clipboardImageKt$clipDataFromBase64Image$1.label = 2;
        obj = InterruptibleKt.runInterruptible$default(null, new ClipboardImageKt$clipDataFromBase64Image$fileStream$1(file3), clipboardImageKt$clipDataFromBase64Image$1, 1, null);
        if (obj == coroutine_suspended) {
        }
        bufferedOutputStream = new BufferedOutputStream((FileOutputStream) obj);
        try {
            bufferedOutputStream2 = bufferedOutputStream;
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, bufferedOutputStream2);
            clipboardImageKt$clipDataFromBase64Image$1.L$0 = context2;
            clipboardImageKt$clipDataFromBase64Image$1.L$1 = file3;
            clipboardImageKt$clipDataFromBase64Image$1.L$2 = bufferedOutputStream;
            clipboardImageKt$clipDataFromBase64Image$1.label = 3;
            if (InterruptibleKt.runInterruptible$default(null, new ClipboardImageKt$clipDataFromBase64Image$2$1(bufferedOutputStream2), clipboardImageKt$clipDataFromBase64Image$1, 1, null) == coroutine_suspended) {
            }
        } catch (Throwable th3) {
            th = th3;
            closeable = bufferedOutputStream;
            try {
                throw th;
            } catch (Throwable th4) {
                CloseableKt.closeFinally(closeable, th);
                throw th4;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0032  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0024  */
    public static final Object bitmapFromContentUriAsync(Context context, Uri uri, Continuation<? super Bitmap> continuation) {
        ClipboardImageKt$bitmapFromContentUriAsync$1 clipboardImageKt$bitmapFromContentUriAsync$1;
        int i;
        if (continuation instanceof ClipboardImageKt$bitmapFromContentUriAsync$1) {
            clipboardImageKt$bitmapFromContentUriAsync$1 = (ClipboardImageKt$bitmapFromContentUriAsync$1) continuation;
            if ((clipboardImageKt$bitmapFromContentUriAsync$1.label & Integer.MIN_VALUE) != 0) {
                clipboardImageKt$bitmapFromContentUriAsync$1.label -= Integer.MIN_VALUE;
                Object obj = clipboardImageKt$bitmapFromContentUriAsync$1.result;
                Object coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
                i = clipboardImageKt$bitmapFromContentUriAsync$1.label;
                if (i != 0) {
                    ResultKt.throwOnFailure(obj);
                    clipboardImageKt$bitmapFromContentUriAsync$1.label = 1;
                    obj = InterruptibleKt.runInterruptible(Dispatchers.getIO(), new ClipboardImageKt$bitmapFromContentUriAsync$2(context, uri), clipboardImageKt$bitmapFromContentUriAsync$1);
                    if (obj == coroutine_suspended) {
                        return coroutine_suspended;
                    }
                } else if (i == 1) {
                    ResultKt.throwOnFailure(obj);
                } else {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                Intrinsics.checkNotNullExpressionValue(obj, "context: Context, imageU…source)\n      }\n    }\n  }");
                return obj;
            }
        }
        clipboardImageKt$bitmapFromContentUriAsync$1 = new ClipboardImageKt$bitmapFromContentUriAsync$1(continuation);
        Object obj2 = clipboardImageKt$bitmapFromContentUriAsync$1.result;
        Object coroutine_suspended2 = IntrinsicsKt.getCOROUTINE_SUSPENDED();
        i = clipboardImageKt$bitmapFromContentUriAsync$1.label;
        if (i != 0) {
        }
        Intrinsics.checkNotNullExpressionValue(obj2, "context: Context, imageU…source)\n      }\n    }\n  }");
        return obj2;
    }

    public static final Bitmap bitmapFromBase64String(String str) {
        Intrinsics.checkNotNullParameter(str, "base64Image");
        try {
            byte[] decode = Base64.decode(str, 0);
            Bitmap decodeByteArray = BitmapFactory.decodeByteArray(decode, 0, decode.length);
            if (decodeByteArray != null) {
                return decodeByteArray;
            }
            throw new RuntimeException("Failed to convert base64 into Bitmap");
        } catch (RuntimeException e) {
            throw new InvalidImageException(str, e);
        }
    }

    /* access modifiers changed from: private */
    public static final Object ensureExists(File file, Continuation<? super Boolean> continuation) {
        return InterruptibleKt.runInterruptible(Dispatchers.getIO(), new ClipboardImageKt$ensureExists$2(file), continuation);
    }
}
