package expo.modules.kotlin.allocators;

import java.lang.reflect.Constructor;
import kotlin.jvm.internal.Intrinsics;

public final class ObjectConstructorFactory {
    public final <T> ObjectConstructor<T> get(Class<T> cls) {
        Intrinsics.checkNotNullParameter(cls, "clazz");
        ObjectConstructor<T> tryToUseDefaultConstructor = tryToUseDefaultConstructor(cls);
        return tryToUseDefaultConstructor == null ? useUnsafeAllocator(cls) : tryToUseDefaultConstructor;
    }

    private final <T> ObjectConstructor<T> tryToUseDefaultConstructor(Class<T> cls) {
        try {
            Constructor<T> declaredConstructor = cls.getDeclaredConstructor(new Class[0]);
            if (!declaredConstructor.isAccessible()) {
                declaredConstructor.setAccessible(true);
            }
            return new ObjectConstructorFactory$$ExternalSyntheticLambda1(declaredConstructor);
        } catch (NoSuchMethodException unused) {
            return null;
        }
    }

    /* renamed from: tryToUseDefaultConstructor$lambda-0 */
    public static final Object m93tryToUseDefaultConstructor$lambda0(Constructor constructor) {
        return constructor.newInstance(new Object[0]);
    }

    private final <T> ObjectConstructor<T> useUnsafeAllocator(Class<T> cls) {
        return new ObjectConstructorFactory$$ExternalSyntheticLambda0(UnsafeAllocator.Companion.createAllocator(cls));
    }

    /* renamed from: useUnsafeAllocator$lambda-1 */
    public static final Object m94useUnsafeAllocator$lambda1(UnsafeAllocator unsafeAllocator) {
        Intrinsics.checkNotNullParameter(unsafeAllocator, "$allocator");
        return unsafeAllocator.newInstance();
    }
}
