package expo.modules.kotlin.allocators;

import java.io.ObjectStreamClass;
import java.lang.reflect.Method;
import kotlin.jvm.internal.Intrinsics;

public interface UnsafeAllocator<T> {
    public static final Companion Companion = Companion.$$INSTANCE;

    T newInstance() throws Exception;

    public static final class Companion {
        static final /* synthetic */ Companion $$INSTANCE = new Companion();

        /* renamed from: $r8$lambda$P5IYE3TjgVCIrCA-5I4Gx5ACOmE */
        public static /* synthetic */ Object m95$r8$lambda$P5IYE3TjgVCIrCA5I4Gx5ACOmE(Method method, Object obj, Class cls) {
            return m97createAllocator$lambda1(method, obj, cls);
        }

        private Companion() {
        }

        public final <T> UnsafeAllocator<T> createAllocator(Class<T> cls) {
            Intrinsics.checkNotNullParameter(cls, "clazz");
            try {
                Method declaredMethod = ObjectStreamClass.class.getDeclaredMethod("getConstructorId", Class.class);
                declaredMethod.setAccessible(true);
                Object invoke = declaredMethod.invoke(null, Object.class);
                if (invoke != null) {
                    int intValue = ((Integer) invoke).intValue();
                    Method declaredMethod2 = ObjectStreamClass.class.getDeclaredMethod("newInstance", Class.class, Integer.TYPE);
                    declaredMethod2.setAccessible(true);
                    return new UnsafeAllocator$Companion$$ExternalSyntheticLambda1(declaredMethod2, cls, intValue);
                }
                throw new NullPointerException("null cannot be cast to non-null type kotlin.Int");
            } catch (Throwable unused) {
                return new UnsafeAllocator$Companion$$ExternalSyntheticLambda0(cls);
            }
        }

        /* renamed from: createAllocator$lambda-0 */
        public static final Object m96createAllocator$lambda0(Method method, Class cls, int i) {
            Intrinsics.checkNotNullParameter(cls, "$clazz");
            return method.invoke(null, cls, Integer.valueOf(i));
        }

        /* renamed from: createAllocator$lambda-1 */
        private static final Object m97createAllocator$lambda1(Method method, Object obj, Class cls) {
            Intrinsics.checkNotNullParameter(cls, "$clazz");
            return method.invoke(obj, cls);
        }

        /* renamed from: createAllocator$lambda-2 */
        public static final Object m98createAllocator$lambda2(Class cls) {
            Intrinsics.checkNotNullParameter(cls, "$clazz");
            throw new IllegalArgumentException("Cannot allocate " + cls);
        }
    }
}
