package expo.modules.kotlin.objects;

import androidx.autofill.HintConstants;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.ReadableNativeArray;
import expo.modules.kotlin.functions.SyncFunctionComponent;
import expo.modules.kotlin.jni.CppType;
import expo.modules.kotlin.jni.JavaScriptModuleObject;
import kotlin.Metadata;
import kotlin.collections.ArraysKt;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\u0018\u00002\u00020\u0001B%\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\n\b\u0002\u0010\u0004\u001a\u0004\u0018\u00010\u0005\u0012\n\b\u0002\u0010\u0006\u001a\u0004\u0018\u00010\u0005¢\u0006\u0002\u0010\u0007J\u000e\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u0010R\u0013\u0010\u0004\u001a\u0004\u0018\u00010\u0005¢\u0006\b\n\u0000\u001a\u0004\b\b\u0010\tR\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\n\u0010\u000bR\u0013\u0010\u0006\u001a\u0004\u0018\u00010\u0005¢\u0006\b\n\u0000\u001a\u0004\b\f\u0010\t¨\u0006\u0011"}, d2 = {"Lexpo/modules/kotlin/objects/PropertyComponent;", "", HintConstants.AUTOFILL_HINT_NAME, "", "getter", "Lexpo/modules/kotlin/functions/SyncFunctionComponent;", "setter", "(Ljava/lang/String;Lexpo/modules/kotlin/functions/SyncFunctionComponent;Lexpo/modules/kotlin/functions/SyncFunctionComponent;)V", "getGetter", "()Lexpo/modules/kotlin/functions/SyncFunctionComponent;", "getName", "()Ljava/lang/String;", "getSetter", "attachToJSObject", "", "jsObject", "Lexpo/modules/kotlin/jni/JavaScriptModuleObject;", "expo-modules-core_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: PropertyComponent.kt */
public final class PropertyComponent {
    private final SyncFunctionComponent getter;
    private final String name;
    private final SyncFunctionComponent setter;

    public PropertyComponent(String str, SyncFunctionComponent syncFunctionComponent, SyncFunctionComponent syncFunctionComponent2) {
        Intrinsics.checkNotNullParameter(str, HintConstants.AUTOFILL_HINT_NAME);
        this.name = str;
        this.getter = syncFunctionComponent;
        this.setter = syncFunctionComponent2;
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ PropertyComponent(String str, SyncFunctionComponent syncFunctionComponent, SyncFunctionComponent syncFunctionComponent2, int i, DefaultConstructorMarker defaultConstructorMarker) {
        this(str, (i & 2) != 0 ? null : syncFunctionComponent, (i & 4) != 0 ? null : syncFunctionComponent2);
    }

    public final String getName() {
        return this.name;
    }

    public final SyncFunctionComponent getGetter() {
        return this.getter;
    }

    public final SyncFunctionComponent getSetter() {
        return this.setter;
    }

    public final void attachToJSObject(JavaScriptModuleObject javaScriptModuleObject) {
        PropertyComponent$$ExternalSyntheticLambda0 propertyComponent$$ExternalSyntheticLambda0;
        PropertyComponent$$ExternalSyntheticLambda1 propertyComponent$$ExternalSyntheticLambda1;
        int[] cppRequiredTypes;
        Intrinsics.checkNotNullParameter(javaScriptModuleObject, "jsObject");
        Integer num = null;
        if (this.getter != null) {
            propertyComponent$$ExternalSyntheticLambda0 = new PropertyComponent$$ExternalSyntheticLambda0(this);
        } else {
            propertyComponent$$ExternalSyntheticLambda0 = null;
        }
        if (this.setter != null) {
            propertyComponent$$ExternalSyntheticLambda1 = new PropertyComponent$$ExternalSyntheticLambda1(this);
        } else {
            propertyComponent$$ExternalSyntheticLambda1 = null;
        }
        String str = this.name;
        SyncFunctionComponent syncFunctionComponent = this.setter;
        if (!(syncFunctionComponent == null || (cppRequiredTypes = syncFunctionComponent.getCppRequiredTypes()) == null)) {
            num = Integer.valueOf(ArraysKt.first(cppRequiredTypes));
        }
        javaScriptModuleObject.registerProperty(str, num == null ? CppType.NONE.getValue() : num.intValue(), propertyComponent$$ExternalSyntheticLambda0, propertyComponent$$ExternalSyntheticLambda1);
    }

    /* access modifiers changed from: private */
    /* renamed from: attachToJSObject$lambda-0  reason: not valid java name */
    public static final ReadableNativeArray m102attachToJSObject$lambda0(PropertyComponent propertyComponent, Object[] objArr) {
        Intrinsics.checkNotNullParameter(propertyComponent, "this$0");
        Intrinsics.checkNotNullParameter(objArr, "it");
        return Arguments.fromJavaArgs(new Object[]{propertyComponent.getter.call(new Object[0])});
    }

    /* access modifiers changed from: private */
    /* renamed from: attachToJSObject$lambda-1  reason: not valid java name */
    public static final ReadableNativeArray m103attachToJSObject$lambda1(PropertyComponent propertyComponent, Object[] objArr) {
        Intrinsics.checkNotNullParameter(propertyComponent, "this$0");
        Intrinsics.checkNotNullParameter(objArr, "args");
        propertyComponent.setter.call(objArr);
        return null;
    }
}
